textures/quakdead2/sky_quak_marsh
{
	qer_editorimage textures/quakdead/env/jajlands2_ft.jpg
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_lightmapFilterRadius 0 8
	q3map_sunExt 0.7 0.8 0.5 160 330 30 2 16
	q3map_skylight 176 4	
	q3map_globaltexture
	q3map_noFog
	surfaceparm sky
	skyparms textures/quakdead/env/jajlands2 512 -
	{
		map textures/quakdead/env/extra
		tcMod scale 3.5 2.3
		//tcMod rotate -0.012
		//tcMod turb 0.001 0.001 0 0.001
		tcMod scroll .003 .0012
		alphaGen wave sin 0.3 0.15 0 0.0011
		rgbGen wave sin 0.8 0.25 0.6 0.011
		alphaFunc GE128
		depthWrite
	}
	{
		map textures/quakdead/env/extra
		blendFunc add
		tcMod scale 2.8 1.9
		//tcMod rotate 0.023
		tcMod scroll .01 .005
		alphaGen wave sin 0.25 0.15 0 0.0012
		rgbGen wave sin 0.4 0.4 0 0.009
		alphaFunc LE128
		depthWrite
	}
}


//----------
// Water
//----------

textures/quakdead2/water
{
	qer_editorimage textures/quakdead/water/waterdark.tga
	qer_trans 0.6
	//q3map_lightImage textures/quakdead/water/waterdark.tga
	//q3map_surfacelight 200
	//q3map_lightsubdivide 512
	surfaceparm noimpact
	surfaceparm water
	surfaceparm trans
	surfaceparm nolightmap
	surfaceparm detail
	q3map_tcMod scale 0.5 0.5
	cull disable
	q3map_globaltexture
	{
		map textures/quakdead/water/waterbright.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
		tcMod turb 0.8 0.09 0.1 0.06
	}
	{
		map textures/quakdead/water/waterbright.tga
		blendFunc GL_ZERO GL_SRC_COLOR
		rgbgen identity
		tcMod turb 0.4 0.18 0.05 0.02
	}
	{
		map textures/quakdead/water/waterdark.tga
		blendFunc GL_DST_COLOR GL_ONE
		rgbgen identity
		tcMod turb 0.9 0.1 0.8 0.042
	}
}

textures/quakdead2/watergreen
{
	qer_editorimage textures/quakdead/water/watergreen.tga
	qer_trans 0.6
	//q3map_lightImage textures/quakdead/water/watergreen.tga
	//q3map_surfacelight 200
	//q3map_lightsubdivide 512
	surfaceparm noimpact
	surfaceparm water
	surfaceparm trans
	surfaceparm nolightmap
	surfaceparm detail
	q3map_tcMod scale 0.5 0.5
	cull disable
	q3map_globaltexture
	{
		map textures/quakdead/water/waterbright.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
		tcMod turb 0.8 0.09 0.1 0.03
	}
	{
		map textures/quakdead/water/watergreen.tga
		blendFunc GL_ZERO GL_SRC_COLOR
		rgbgen identity
		tcMod turb 0.4 0.18 0.05 0.015
	}
	{
		map textures/quakdead/water/waterdark.tga
		blendFunc GL_DST_COLOR GL_ONE
		rgbgen identity
		tcMod turb 0.9 0.1 0.8 0.047
	}
}

//----------
// Plants
//----------

textures/quakdead2/waterplant_1
{
	qer_editorimage	textures/quakdead/plants/waterplant_1
	//qer_alphafunc greater 0.5
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm detail
	qer_trans 0.5
	cull none 	
	{
		map textures/quakdead/plants/waterplant_1
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}		
}

textures/quakdead2/waterplant_1b
{
	qer_editorimage	textures/quakdead/plants/waterplant_1b
	//qer_alphafunc greater 0.5
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm detail
	qer_trans 0.5
	cull none 	
	{
		map textures/quakdead/plants/waterplant_1b
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}		
}


textures/quakdead2/waterplant_2
{
	qer_editorimage	textures/quakdead/plants/waterplant_2
	//qer_alphafunc greater 0.5
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm detail
	qer_trans 0.5
	cull none 	
	{
		map textures/quakdead/plants/waterplant_2
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}		
}

textures/quakdead2/waterplant_2b
{
	qer_editorimage	textures/quakdead/plants/waterplant_2b
	//qer_alphafunc greater 0.5
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm detail
	qer_trans 0.5
	cull none 		
	{
		map textures/quakdead/plants/waterplant_2b
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}		
}

//----------
// Fires
//----------

textures/quakdead2/flame_yellow_top_light
{
	qer_editorimage textures/quakdead/fire/yflame1
	q3map_lightImage textures/quakdead/fire/yflame8
	q3map_surfacelight 1000
	cull none
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm detail
	polygonOffset
	nopicmip
	noMipMaps
	q3map_noFog
	q3map_globalTexture

	{
		animMap 10 textures/quakdead/fire/yflame1 textures/quakdead/fire/yflame2 textures/quakdead/fire/yflame3 textures/quakdead/fire/yflame4 textures/quakdead/fire/yflame5 textures/quakdead/fire/yflame6 textures/quakdead/fire/yflame7 textures/quakdead/fire/yflame8
		blendFunc GL_ONE GL_ONE
		rgbGen wave inverseSawtooth 0 1 0 10
		
	}	
	{
		animMap 10 textures/quakdead/fire/yflame2 textures/quakdead/fire/yflame3 textures/quakdead/fire/yflame4 textures/quakdead/fire/yflame5 textures/quakdead/fire/yflame6 textures/quakdead/fire/yflame7 textures/quakdead/fire/yflame8 textures/quakdead/fire/yflame1
		blendFunc GL_ONE GL_ONE
		rgbGen wave Sawtooth 0 1 0 10
	}	
}

textures/quakdead2/flame_yellow_top_other
{
	qer_editorimage textures/quakdead/fire/yflame1
	q3map_lightImage textures/quakdead/fire/yflame8
	q3map_surfacelight 300
	cull none
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm detail
	polygonOffset
	nopicmip
	noMipMaps
	q3map_noFog
	q3map_globalTexture

	{
		animMap 10 textures/quakdead/fire/yflame1 textures/quakdead/fire/yflame2 textures/quakdead/fire/yflame3 textures/quakdead/fire/yflame4 textures/quakdead/fire/yflame5 textures/quakdead/fire/yflame6 textures/quakdead/fire/yflame7 textures/quakdead/fire/yflame8
		blendFunc GL_ONE GL_ONE
		rgbGen wave inverseSawtooth 0 1 0 10
		
	}	
	{
		animMap 10 textures/quakdead/fire/yflame2 textures/quakdead/fire/yflame3 textures/quakdead/fire/yflame4 textures/quakdead/fire/yflame5 textures/quakdead/fire/yflame6 textures/quakdead/fire/yflame7 textures/quakdead/fire/yflame8 textures/quakdead/fire/yflame1
		blendFunc GL_ONE GL_ONE
		rgbGen wave Sawtooth 0 1 0 10
	}	
}
// Oak-mapmodel 

models/mapobjects/oak/oakblaetter
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm alphashadow
	qer_trans 0.99
	cull none
	nopicmip
	{
		map models/mapobjects/oak/oakblaetter.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

models/mapobjects/oak/oakblaetter2
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm alphashadow
	qer_trans 0.99
	cull none
	nopicmip
	{
		map models/mapobjects/oak/oakblaetter2.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

models/mapobjects/oak/oakblaetter3
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm alphashadow
	qer_trans 0.99
	cull none
	nopicmip
	{
		map models/mapobjects/oak/oakblaetter3.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}


